Share this page

# Configure VTS

VTS includes a number of settings that define certain aspects of how VTS operates.

Note: OpenText encourages you to ensure secure configuration and proper hardening of the VTS server—this is not provided by OpenText. You can use the useSSL configuration setting.

If you do not implement secure configuration and proper hardening, you may expose the system to increased security risks. You understand and agree to assume all associated risks and hold OpenText blameless for the same. It remains at all times solely the responsibility of the customer to assess their own regulatory and business requirements. OpenText does not represent or warrant that its products comply with any specific legal or regulatory standards applicable to the customer while conducting the customer's business.

In this topic:

## Modify VTS configuration settings

The configuration settings are stored in the configure.json file that is saved with the standard JSON format.

You can update the configure.json file. By default, the file is located in C:\Program Files\OpenText\VTS\web.

Note: If you modify the configuration file to a non-valid format, or add comments to the file, the VTS Service will fail to start.

Back to top

## VTS configuration settings

The configure.json configuration file includes the following settings:

Setting Key | Explanation
--- | ---
dbPath | The stored path of the VTS database. Default install path: C:/ProgramData/OpenText/VTS/db/data
defaultDbName | The name of the VTS database. The default name is Default. Recommended: Do not modify this setting.
adminPort | The TCP port that is used for Admin UI access to VTS. This port is used by the VTS UI to read and modify data in the VTS table. The default value is 4000. Note: The port used for Admin UI access must be different from the port used for Vuser script API access.
defaultApiPort | The default port that Vuser scripts use to access the VTS table using API functions. If you use the VTS UI to change the API access port, the new port number will override the default value. Default: 8888
defaultStart | Specifies whether or not API access to the VTS table should be enabled when the VTS Service service is started. Default: false
enableDiag | Enables the VTS diagnosis feature. If set to true, you can access the following URL to view logs, apis, and meta data: http://vts_server_name:4000/data/diag Default: false
autoRefreshGrid | When the data is changed by an API or by another Admin UI, the Admin UI automatically refreshes itself to show the updated data. This is the default behavior. If this is affecting the performance of the load test, set this key to false. Default: true
maxInstancesAllowed | VTS supports multiple instances. Use this setting to configure the maximum number of instances that VTS should support. Default: 50
autoCreateIndexedColumn | When set to true, each column is automatically indexed. Default: false
normalizeCSV | When set to true, VTS will normalize non-strict CSV files when the rows do not have the same separators. Default: false
authentication | Basic. Authentication is required to access the VTS table from the VTS user interface. Authentication includes a user name and associated password. For further details on authentication, see Use authentication. Example `"authentication": "Basic",/*authentication methods, 3 options "None", "Basic", "NTLM". Default is "None", which means no auth is needed*/` `"users":` `[` `/*Add users with the following format when authentication set to "Basic"*/` `{"user": "johns", "password": "pass", "display": "John Smith"}` `],` NTLM. NTLM authentication is required. If authentication is set to NTLM, you must configure domain and domaincontroller. Example `"admin": {` `"authentication": "NTLM",/*authentication methods, 3 options "None", "Basic", "NTLM". Default is "None", which means no auth is needed*/` `"users":` `[` `/*Add users with the following format when authentication set to "Basic"*/` `{"user": "johns", "password": "pass", "display": "John Smith"}` `],` `/*Specify domain/domaincontroller setting when authentication set to "NTLM". Both ldap and ldaps are supported*/` `"domain":"mydomain.net",` `"domaincontroller": "ldap:// examplelab.mydomain.net",` Default: None
users | When authentication=Basic, specify the list of users that are registered to access the VTS table from the VTS user interface. user. The name that the user must use to access the VTS server. password. The password that the user must use to access the VTS server. display. The name that will be displayed by VTS after the user has been successfully authenticated and connected to the VTS server. Note: If multiple users are listed, insert a comma between each line in the list, as shown below: `{"user": "johns", "password": "pass", "display": "John Smith"},``{"user": "peterb", "password": "pass1", "display": "Peter Brown"}`
role | For both Basic or NTLM authentication, you can assign the user roles: full-control administrator, or read-only user. Example `"role":` `{"administrator":["peterb", "johns3"],` `"user":["johns2","johns"]}` Note: If no users are assigned roles, all users will have full permissions on the VTS server. If some, but not all, users are assigned roles, all the rest of the users will have read-only permissions only on the VTS server. Administrator users for NTLM: Define each of these users using both the fully-qualified domain name and the NetBIOS name. For example: `"role":` `{"administrator":[ "mydomain.net\\peterb", "mydomain\\peterb","johns3"],` `"user":["johns2","johns"]}` Alternatively, if using a browser to access the VTS server, you need only configure the fully qualified domain name, and configure your browser settings to prompt for the VTS server login credentials.
requireBasicAuthForAPI | When authentication is set to Basic, and requireBasicAuthForAPI is set to true, the user name and password are required when accessing VTS data from the API level. The setting does not affect VTS admin UI. Default: false
domain | When authentication is set to NTLM, specify the domain.
domaincontroller | When authentication is set to NTLM, specify the domain controller. If the specified domain controller uses LDAPS: You must configure ldapsCert and ldapsCA if required by the domain controller server. Channel binding must be disabled for the domain controller.
ldapsCert | When domaincontroller is set to a value that uses LDAPS, specify the file path of the LDAPS client certificate (if required by the domain controller server). Use the format: `"ldapsCert": ""`
ldapsCA | When domaincontroller is set to a value that uses LDAPS, specify the file path of the LDAPS client CA (if required by the domain controller server). Use the format: `"ldapsCA": ""`
useSSL | Specifies whether or not HTTPS should be used to access the VTS table from the VTS user interface. By default, useSSL is set to false. Tip: Instead of copying the key files described below to the same folder as node.exe, you can specify an absolute path to specify the files in another location. For example, `"certificate": "c:\\temp\\certificate.pem"`. The configure.json file uses the JSON format. Use a double backslash "\\" to represent a single backslash “\”. To use SSL communication, set useSSL to true, and define the following properties: certificate. The name of the certificate file to use for HTTPS communication. For example: `"certificate": "certificate.pem"` Note: The certificate file must be located in the same folder as node.exe. privateKey. The name of the private key to use for HTTPS communication. For example: `"privateKey": "privatekey.pem"` Note: The privateKey file must be located in the same folder as node.exe. passphrase. The password used to decrypt the private key of the server certificate. Applicable when useSSL is set to true, and a password is set for the server certificate private key. ca. The name of the certificate (ca) file. The ca file is used to verify the client certificate. This setting is optional, and is relevant only when the requestClientCert is set to true. Otherwise, it is ignored. Default: vts.crt Note: The ca file must be located in the same folder as node.exe. minVersion/maxVersion. Possible values: "TLSv1", "TLSv1.1", "TLSv1.2", "TLSv1.3" Default. minVersion: "TLSv1.2", maxVersion:"TLSv1.3" ciphers. Specifies which ciphers are supported. Default: ALL Note: The TLSv1.3 cipher suites can only be enabled by including their full name in the cipher list. requestClientCert. If set to true, when a client tries to connect to the server using HTTPS, the server requests a certificate, and then attempts to verify the certificate. Default: false
defaultLanguage | Sets the VTS server language. You can set the following languages: en, zh-cn, ja, ko, it, es, pt-br, fr, ru Default: en
dbInfo | Defines database settings. connPool: VTS maintains a pool of connections, to avoid the resources wasted on TCP handshake and close, and to help restrict the concurrent connections to the database server. maxIdle. The maximum number of available connections in the connection pool. VTS will maintain up to this number of connections, using some memory, TCP ports, and other resources. Keep maxIdle smaller than the maxActive value to reduce load on these kinds of system resources. maxActive. The maximum number of concurrent connections in the connection pool. If you have a lot of Vusers failing, try decreasing the maxActive value to lower the pressure on the database server. dbServerPort: start. Start of port range used by the database server. end. End of port range used by the database server. dbCheck: waitingTime. How many seconds to wait for the database server to start. Default: 3 secs retryTimes. How many times to try to start the database server. Default: 10 times
logger | Contains the settings for VTS's logging options. level. Specifies the level of logging performed: error. creates the least comprehensive logs, containing only error messages warning. creates a log file with intermediate verbosity info. creates the most comprehensive logs, containing error messages, warnings, and additional information transports. Specifies certain output options for logging. path. Specifies the folder where the VTS log files are saved. Default: %TEMP%\\VTS, where %TEMP% is an environment variable that refers to the current user account. Note: The %TEMP% variable for the Local System account usually points to the %windir%\temp folder. In this scenario, the VTS log files are located in %windir%\temp\vts\.

Back to top

https://admhelp.microfocus.com VuGen,Professional Performance Engineering,Performance Engineering for Developers 8942
Tips to improve your search results... OpenText™ Virtual User Generator Help Center OpenText™ VuGen Help 25.1-25.3 All View Local Help Center View Online Help Center Version: